@font-face {
    font-family: DejaVuSans;
    src: url(fonts/DejaVuSans-BoldOblique.ttf);
    font-style: oblique;
    font-weight: bold;
}
@font-face {
    font-family: DejaVuSans;
    src: url(fonts/DejaVuSans-Bold.ttf);
    font-style: normal;
    font-weight: bold;
}
@font-face {
    font-family: DejaVuSans;
    src: url(fonts/DejaVuSans-Oblique.ttf);
    font-style: oblique;
    font-weight: normal;
}
@font-face {
    font-family: DejaVuSans;
    src: url(fonts/DejaVuSans.ttf);
    font-style: normal;
    font-weight: normal;
}

@font-face {
    font-family: DejaVuSansMono;
    src: url(fonts/DejaVuSansMono-BoldOblique.ttf);
    font-style: oblique;
    font-weight: bold;
}
@font-face {
    font-family: DejaVuSansMono;
    src: url(fonts/DejaVuSansMono-Bold.ttf);
    font-style: normal;
    font-weight: bold;
}
@font-face {
    font-family: DejaVuSansMono;
    src: url(fonts/DejaVuSansMono-Oblique.ttf);
    font-style: oblique;
    font-weight: normal;
}
@font-face {
    font-family: DejaVuSansMono;
    src: url(fonts/DejaVuSansMono.ttf);
    font-style: normal;
    font-weight: normal;
}


html {
    font-size: 22px;
    font-family: DejaVuSans, sans-serif;
}
header {
    max-width: 1200px;
    margin: 0 auto;
    padding: 12px 30px;
}
main {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 30px;
}
section {
    margin: 30px 0px;
    padding: 17px 24px;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0.67em 0 0.3em 0;
}
p {
    margin: 12px 0px;
}
pre {
    font-family: DejaVuSansMono, monospace;
}
code, kbd, samp, .literal {
    font-family: DejaVuSansMono, monospace;
    color: #555;
}

.bordered {
    border-radius: 21px;
    box-shadow: 0 10px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
}

.match_button {
    padding-top: 10px;
    padding-bottom: 10px;
}
.btn {
    display: inline-block;
    padding: 8px 12px;
    font-family: inherit;
    font-size: inherit;
    font-weight: 400;
    line-height: 1.15;
    color: #000;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    border: 3px solid gray;
    border-radius: 4px;
    background-color: #e5e5e5;
}
.btn:disabled, .btn:hover:disabled {
    color: #777;
    border-color: #999;
    background-color: #f5f5f5;
    cursor: inherit;
}
.btn:hover {
    background-color: #c5c5c5;
}
.btn:active {
    background-color: #a5a5a5;
}

.error_message {
    color: #dc3545;
    font-weight: bold;
}
.warning_message {
    color: #e0a502;
    font-weight: bold;
}
.success_message {
    color: #3CBF40;
    font-weight: bold;
}

.data_table td {
    padding: 4px;
}
.data_table td:first-child {
    text-align: right;
}

.flex_column {
    display: flex;
    flex-direction: column;
}
.flex_row {
    display: flex;
    flex-direction: row;
}
.flex_wrap {
    flex-wrap: wrap;
}
.column_center {
    align-items: center;
}
.row_center {
    justify-content: center;
}
.flex_grow_1 {
    flex-grow: 1;
}
.width100 {
    width: 100%;
}

